Bug 187473 - perl-DBD-MySQL uninstallable
Summary: perl-DBD-MySQL uninstallable
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl-DBD-MySQL (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-31 08:35 UTC by Bastien Nocera
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 16:03:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-03-31 08:35:22 UTC
perl-DBD-MySQL-1.2216-4

perl-DBD-MySQL-1.2216-4 is uninstallable. It requires libmysqlclient.so.10
(which comes from RHEL4) when we only ship libmysqlclient.so.9 on RHEL 2.1:

perl-DBD-MySQL-1.2216-4 deps:
https://rhn.redhat.com/network/software/packages/dependencies.pxt?pid=16785
mysqlclient9-3.23.22-8 provides:
https://rhn.redhat.com/network/software/packages/dependencies.pxt?pid=49124

Comment 5 Jason Vas Dias 2006-04-21 16:03:45 UTC
Actually, libmysqlclient.so.10 IS shipped as part of the 
RHEL-2.1 U6+ mysql-3.23.58-1.72.1 package (latest errata
release mysql-3.23.58-1.72.2). But the only 'mysqlclient*'
package shipped for RHEL-2.1 is mysqlclient9-3.23.22-8, 
presumably shipped only for compatibility purposes for 
existing clients linked against libmysqlclient.so.9 .

So, you need to install the 'mysql' RPM in order to
install the perl-DBD-MySQL-1.2216-4 RPM, and then it
installs and works fine .

Perhaps we should consider shipping a mysqlclient-* RPM,
which would contain only the libmysqlclient libraries -
but that's not what we have done.

Yes, perhaps the perl-DBD-MySQL RPM should specify 'Requires: mysql',
(it currently only specifies 'BuildRequires: mysql-devel') - but I 
don't think this problem warrants a RHEL-2.1 perl-DBD-MySQL respin -
there is an easy workaround (install the mysql- RPM).

Comment 6 Tom Lane 2006-04-21 17:30:08 UTC
The mysql RPM is the *correct* RPM for this, as it is exactly the client-side
part of mysql (the server is in mysql-server).  I concur this is NOTABUG.

I also concur with adding 'Requires: mysql' in future builds, though, just to
make it more clear what the package depends on.


Note You need to log in before you can comment on or make changes to this bug.